<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="cancelEventModalPanel"/>
        <ui:define name="popup_title">#{messages['gazelle.simulator.pam.ConfirmMovementCancellation']}</ui:define>
        <s:div id="cancelEventModalPanelContent">
            <h:outputText value="#{messages['gazelle.simulator.pam.NoMovementSelected']}"
                          rendered="#{pesManager.selectedMovement == null}" styleClass="gzl-alert gzl-alert-red"/>
            <h:outputText value="#{messages['gazelle.simulator.pam.PleaseSelectTheSutToWhichSendTheMessage']}"
                          rendered="#{pesManager.selectedSUT == null}" styleClass="gzl-alert gzl-alert-red"/>
            <h:outputText
                    value="#{messages['gazelle.simulator.pam.YouAreAboutToSendA']} #{pesManager.selectedTriggerEvent} #{messages['gazelle.simulator.pam.MessageToCancelMovement']} "/>
            <h:outputText value="#{pesManager.selectedMovement.movementUniqueId}" style="font-weight:bold;"
                          rendered="#{pesManager.selectedSUT != null and pesManager.selectedMovement != null}"/>
            <br/>
            <h:outputText value="#{messages['gazelle.simulator.pam.DoYouReallyWantToDoThis']}"/>
        </s:div>
        <ui:define name="popup_footer">
            <s:div id="cancelEventModalPanelButtons">
                <a4j:commandButton value="#{messages['gazelle.simulator.pam.Yes']}"
                                   actionListener="#{pesManager.sendCancelMessage()}"
                                   oncomplete="jq162('#cancelEventModalPanel').modal('hide')"
                                   render=":globalForm"
                                   rendered="#{pesManager.selectedMovement != null and pesManager.selectedSUT != null}"
                                   styleClass="gzl-btn-orange"/>
                <a4j:commandButton value="#{messages['gazelle.simulator.pam.No']}"
                                   actionListener="#{pesManager.setSelectedMovement(null)}"
                                   oncomplete="jq162('#cancelEventModalPanel').modal('hide');" render=":globalForm"
                                   rendered="#{pesManager.selectedMovement != null and pesManager.selectedSUT != null}"
                                   styleClass="gzl-btn-blue"/>
                <a4j:commandButton value="#{messages['gazelle.simulator.pam.Close']}"
                                   onclick="jq162('#cancelEventModalPanel').modal('hide');"
                                   rendered="#{pesManager.selectedMovement == null or pesManager.selectedSUT == null}"
                                   styleClass="gzl-btn"/>
            </s:div>
        </ui:define>
    </ui:decorate>
</ui:composition>
